# Generated by Django 2.0 on 2017-12-30 13:53

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='OAuthService',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('display_name', models.CharField(max_length=250, verbose_name='nom')),
                ('name', models.CharField(choices=[('microsoft', 'Microsoft')], max_length=250, verbose_name='identifiant')),
                ('application_id', models.CharField(max_length=250, verbose_name='application id')),
                ('application_secret', models.CharField(max_length=250, verbose_name='application secret')),
                ('enabled', models.BooleanField(verbose_name='actif')),
            ],
            options={
                'verbose_name': 'Service OAuth',
            },
        ),
        migrations.CreateModel(
            name='OAuthToken',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('auth_token', models.TextField()),
                ('uuid', models.CharField(blank=True, default='', max_length=250)),
                ('auth_token_expiration', models.DateTimeField(blank=True, null=True)),
                ('refresh_token', models.TextField(blank=True)),
                ('refresh_token_expiration', models.DateTimeField(blank=True, null=True)),
                ('not_before', models.DateTimeField(blank=True, null=True)),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tokens', to='account.OAuthService', verbose_name='service')),
            ],
            options={
                'verbose_name': 'Jeton OAuth',
            },
        ),
    ]
